# mongoc_matcher_match()

## Synopsis

    bool
    mongoc_matcher_match (const mongoc_matcher_t *matcher,
                          const bson_t           *document);

This function will check to see if the query compiled in matcher matches document.

## Deprecated

mongoc_matcher_t is deprecated and will be removed in version 2.0.

## Parameters

matcher | A mongoc_matcher_t.
query | A bson_t that contains the query.

## Returns

true if document matches the query specification provided to mongoc_matcher_new(). Otherwise, false.